package com.caliverse.admin.dynamodb.domain.doc;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class MyhomeDoc extends DynamoDBDocBase {
    private String myHomeAttrib;

    public String getAttribFieldName() {
        return "MyHomeAttrib";
    }

    @DynamoDbAttribute("MyHomeAttrib")
    @JsonProperty("MyHomeAttrib")
    public String getAttribValue() {
        return myHomeAttrib;
    }

    public void setAttribValue(String value) {
        this.myHomeAttrib = value;
    }
}

